package dev.adriankuta.pixabay.data.di

import dagger.Binds
import dagger.Module
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import dev.adriankuta.pixabay.data.repository.ImageRepository
import dev.adriankuta.pixabay.data.repository.PixabayImageRepository

@InstallIn(SingletonComponent::class)
@Module
internal abstract class NetworkRepositoresModule {

    @Binds
    abstract fun bindPhotoRepository(pixabayImageRepository: PixabayImageRepository): ImageRepository


}